Bug 980155 - krb5-workstation has invalid Requires:
krb5-workstation has invalid Requires:
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Mainz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 10:45 EDT by David Woodhouse
Modified: 2015-09-08 13:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: krb5-1.11.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:12:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-07-01 10:45:59 EDT
On attempting to install krb5-workstation:

$ yum install krb5-workstation
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package krb5-workstation.x86_64 0:1.11.3-1.fc19 will be installed
--> Processing Dependency: krb5-libs = 1.11.3-1.fc19 for package: krb5-workstation-1.11.3-1.fc19.x86_64
--> Running transaction check
---> Package krb5-libs.i686 0:1.11.3-1.fc19 will be installed
--> Processing Dependency: libverto.so.1 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libselinux.so.1 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libresolv.so.2(GLIBC_2.2) for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libresolv.so.2 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_0.3) for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libkeyutils.so.1 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libdl.so.2(GLIBC_2.1) for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libdl.so.2(GLIBC_2.0) for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libdl.so.2 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libcom_err.so.2 for package: krb5-libs-1.11.3-1.fc19.i686
--> Processing Dependency: libc.so.6(GLIBC_2.16) for package: krb5-libs-1.11.3-1.fc19.i686
--> Running transaction check
---> Package glibc.i686 0:2.17-4.fc19 will be installed
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.17-4.fc19.i686
--> Processing Dependency: libfreebl3.so for package: glibc-2.17-4.fc19.i686
---> Package keyutils-libs.i686 0:1.5.5-4.fc19 will be installed
---> Package libcom_err.i686 0:1.42.7-2.fc19 will be installed
---> Package libselinux.i686 0:2.1.13-15.fc19 will be installed
--> Processing Dependency: libpcre.so.1 for package: libselinux-2.1.13-15.fc19.i686
---> Package libverto.i686 0:0.2.5-2.fc19 will be installed
--> Running transaction check
---> Package nss-softokn-freebl.i686 0:3.14.3-1.fc19 will be installed
---> Package pcre.i686 0:8.32-7.fc19 will be installed
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: pcre-8.32-7.fc19.i686
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4) for package: pcre-8.32-7.fc19.i686
--> Processing Dependency: libstdc++.so.6(CXXABI_1.3) for package: pcre-8.32-7.fc19.i686
--> Processing Dependency: libstdc++.so.6 for package: pcre-8.32-7.fc19.i686
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: pcre-8.32-7.fc19.i686
--> Processing Dependency: libgcc_s.so.1 for package: pcre-8.32-7.fc19.i686
--> Running transaction check
---> Package libgcc.i686 0:4.8.1-1.fc19 will be installed
---> Package libstdc++.i686 0:4.8.1-1.fc19 will be installed
--> Finished Dependency Resolution
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
       
         1. You have an upgrade for krb5-libs which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of krb5-libs of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what). You can try redoing the upgrade with
            --exclude krb5-libs.otherarch ... this should give you an error
            message showing the root cause of the problem.
       
         2. You have multiple architectures of krb5-libs installed, but
            yum can only see an upgrade for one of those architectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of krb5-libs installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: krb5-libs-1.11.3-1.fc19.i686 != krb5-libs-1.11.3-2.fc19.x86_64
Error: Protected multilib versions: nss-softokn-freebl-3.14.3-1.fc19.i686 != nss-softokn-freebl-3.15-3.fc19.x86_64


This is all nonsense, because yum has tried to install krb5-libs.i686 in order to solve the incorrectly-specified requirement of krb5-workstation.

The Requires: should be krb5-libs%{?_isa} = %{version}-${release}. Note the %?_isa}. 

And then it still wouldn't work when the repository is out of sync, but the failure mode would be sane and concise.
Comment 1 Nalin Dahyabhai 2013-07-01 13:42:02 EDT
Okay, modified internal Requires: on krb5-libs and krb5-server to use the %{?_isa} suffix.
Comment 2 Fedora Admin XMLRPC Client 2014-10-06 12:37:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 17:34:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:12:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.